Using cmake with AppVeyor

xwilarg's Avatar

xwilarg

16 May, 2019 04:21 PM

Hi,
I'm trying to use cmake with AppVeyor but I have a problem with the following line:

find_package(SFML 2 COMPONENTS graphics REQUIRED)
It work on my computer but on AppVeyor I have the following error:
CMake Error at CMakeLists.txt:14 (find_package):
  Could not find a configuration file for package "SFML" that is compatible
  with requested version "2".
  The following configuration files were considered but not accepted:
    C:/projects/rummikub/SFML/lib/cmake/SFML/SFMLConfig.cmake, version: 2.5.1 (64bit)
(It should work since the major version of "2.5.1" is 2...)
Just in case, here's the link to the build: https://ci.appveyor.com/project/Xwilarg/rummikub/branch/master

Thanks in advance

  1. 1 Posted by xwilarg on 16 May, 2019 06:23 PM

    xwilarg's Avatar

    Well, I actually solved my problem, I was using the wrong version of the SFML (I was using the one for Visual C++ 15 64bits instead of Visual C++ 14 32bits)

  2. Support Staff 2 Posted by Owen McDonnell on 16 May, 2019 06:44 PM

    Owen McDonnell's Avatar

    Makes sense, given the error message : )

  3. Owen McDonnell closed this discussion on 16 May, 2019 06:44 PM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac